﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{E4CE6473-46E6-42A5-91B0-18464784BD0A}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>NSS.DataAccess.Repository</RootNamespace>
    <AssemblyName>NSS.DataAccess.Repository</AssemblyName>
    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Dapper">
      <HintPath>..\packages\Dapper.2.0.35\lib\net461\Dapper.dll</HintPath>
    </Reference>
    <Reference Include="Dapper.Contrib">
      <HintPath>..\packages\Dapper.Contrib.2.0.35\lib\net461\Dapper.Contrib.dll</HintPath>
    </Reference>
    <Reference Include="Dapper.Extensions.Linq">
      <HintPath>..\packages\Dapper.Extensions.Linq.1.1.17\lib\net45\Dapper.Extensions.Linq.dll</HintPath>
    </Reference>
    <Reference Include="Dapper.Extensions.Linq.Core">
      <HintPath>..\packages\Dapper.Extensions.Linq.Core.1.0.8\lib\net45\Dapper.Extensions.Linq.Core.dll</HintPath>
    </Reference>
    <Reference Include="DapperExtensions">
      <HintPath>..\packages\DapperExtensions.1.6.3\lib\net45\DapperExtensions.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="GenericRepository.cs" />
    <Compile Include="NodialBase\ClassRoomRepository.cs" />
    <Compile Include="NodialBase\EducaterAddressRepository.cs" />
    <Compile Include="NodialBase\EducaterExploitRepository.cs" />
    <Compile Include="NodialBase\EducaterRecordsRepository.cs" />
    <Compile Include="NodialBase\EducatorRepository.cs" />
    <Compile Include="NodialBase\EmployeeRepository.cs" />
    <Compile Include="NodialBase\GradeRepository.cs" />
    <Compile Include="NodialBase\LearnerRecordsRepository.cs" />
    <Compile Include="NodialBase\LearnerRepository.cs" />
    <Compile Include="NodialBase\SchoolRepository.cs" />
    <Compile Include="NodialBase\SeasonRepository.cs" />
    <Compile Include="NodialBase\SemesterRepository.cs" />
    <Compile Include="NodialBase\SubGradeRepository.cs" />
    <Compile Include="NodialBase\SubjectRepository.cs" />
    <Compile Include="NodialBase\SubstituteAddressRepository.cs" />
    <Compile Include="NodialBase\SubstituteRepository.cs" />
    <Compile Include="NodialBase\TurnRepository.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="UnitOfWork.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\NSS.Entity.BaseProcedure\NSS.Entity.BaseProcedure.csproj">
      <Project>{fbe088b8-66fd-43a9-b261-f8d0d894c45e}</Project>
      <Name>NSS.Entity.BaseProcedure</Name>
    </ProjectReference>
    <ProjectReference Include="..\NSS.Entity.Base\NSS.Entity.Base.csproj">
      <Project>{7e001311-529f-4eb5-8e27-a9a3047dcfed}</Project>
      <Name>NSS.Entity.Base</Name>
    </ProjectReference>
    <ProjectReference Include="..\NSS.Interface.Repository\NSS.Interface.Repository.csproj">
      <Project>{68b0aa95-4a44-4d66-9218-5201fe4f70c4}</Project>
      <Name>NSS.Interface.Repository</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="packages.config" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>